<template>
    <v-menu bottom left  origin="top right" :close-on-content-click="false" transition="scale-transition" v-model="open">
        <template slot="activator">
           <slot name="activator">
              <v-btn dark flat right small icon class="pr-0  mr-0" >
                <v-icon style="vertical-align:bottom;font-size:20px">search</v-icon>
              </v-btn>
           </slot>
        </template>

        <v-card maxWidth="360px">
            <v-card-title class="subheading">
                {{$i18n.t('search.popup.title')}}
            </v-card-title>
            <v-divider/>
            <v-card-text>
                <v-layout row wrap>
                    <v-flex xs12>
                        <v-text-field label="Company" v-model="searchCompany"></v-text-field>
                    </v-flex>
                    <v-flex xs12>
                    <v-select 
                        v-model="searchStatus"
                        :items="statuses" 
                        :placeholder="$i18n.t('application.form.status')"
                        item-text="text"
                        item-value="value"></v-select>
                    </v-flex>
                    <v-flex xs12>
                        <v-text-field label="Scope" v-model="searchScope" :diasbled="true"></v-text-field>
                    </v-flex>
                </v-layout>
            </v-card-text>
            <v-card-actions>
              <v-spacer/>
              <v-btn flat color='primary' dark @click="search">{{$i18n.t('search.popup.buttonText')}}</v-btn>
            </v-card-actions>
        </v-card>
    </v-menu>
</template>

<script>
export default {
  name: 'SearchMenu',
  data() {
    return {
        open: null,
        searchCompany: null,
        searchScope: "default",
        searchStatus: null
    }
  },
  computed: {
     statuses() {
        return  [
            { text: this.$i18n.t("application.status.saved"), value: 'SAVED' },
            { text: this.$i18n.t("application.status.applied"), value: 'APPLIED' },
            { text: this.$i18n.t("application.status.in_progress"), value: 'IN_PROGRESS' },
            { text: this.$i18n.t("application.status.closed"), value: 'CLOSED' },
          ]
     },
  },
  methods: {
      search() {
         this.open = false
         this.$router.push({ 
            path: 'search', 
            query: { 
                company: this.searchCompany,
                status: this.searchStatus,
                scope: this.searchScope 
            } 
         })
      },
  }
}
</script>
  